# Cesium3DTileContent

#### new Cesium.Cesium3DTileContent()
Scene/Cesium3DTileContent.js 16

The content of a tile in a `Cesium3DTileset`.

Derived classes of this interface provide access to individual features in the tile. Access derived objects through `Cesium3DTile#content`.

This type describes an interface and is not intended to be instantiated directly.

### Members

#### readonly batchTableByteLength : Number
Scene/Cesium3DTileContent.js 122

Gets the amount of memory used by the batch table textures, in bytes.

#### readonly featuresLength : Number
Scene/Cesium3DTileContent.js 41

Gets the number of features in the tile.

#### readonly geometryByteLength : Number
Scene/Cesium3DTileContent.js 92

Gets the tile's geometry memory in bytes.

#### readonly innerContents : Array
Scene/Cesium3DTileContent.js 139

Gets the array of `Cesium3DTileContent` objects for contents that contain other contents, such as composite tiles. The inner contents may in turn have inner contents, such as a composite tile that contains a composite tile.

##### See:

- Composite specification

#### readonly pointsLength : Number
Scene/Cesium3DTileContent.js 62

Gets the number of points in the tile.

Only applicable for tiles with Point Cloud content. This is different than `Cesium3DTileContent#featuresLength` which equals the number of groups of points as distinguished by the `BATCH_ID` feature table semantic.

##### See:

- https://github.com/CesiumGS/3d-tiles/tree/main/specification/TileFormats/PointCloud#batched-points

#### readonly readyPromise : Promise.<Cesium3DTileContent>
Scene/Cesium3DTileContent.js 154

Gets the promise that will be resolved when the tile's content is ready to render.

#### readonly texturesByteLength : Number
Scene/Cesium3DTileContent.js 107

Gets the tile's texture memory in bytes.

#### readonly tile : Cesium3DTile
Scene/Cesium3DTileContent.js 184

Gets the tile containing this content.

#### readonly tileset : Cesium3DTileset
Scene/Cesium3DTileContent.js 169

Gets the tileset for this tile.

#### readonly trianglesLength : Number
Scene/Cesium3DTileContent.js 77

Gets the number of triangles in the tile.

#### readonly url : String
Scene/Cesium3DTileContent.js 198

Gets the url of the tile's content.

### Methods

#### getFeature(batchId) → Cesium3DTileFeature
Scene/Cesium3DTileContent.js 275

Returns the `Cesium3DTileFeature` object for the feature with the given `batchId`. This object is used to get and modify the feature's properties.

Features in a tile are ordered by `batchId`, an index used to retrieve their metadata from the batch table.

Name | Type | Description
--- | --- | ---
`batchId` | Number | The batchId for the feature.

##### Returns:

The corresponding `Cesium3DTileFeature` object.

##### Throws:

- DeveloperError : batchId must be between zero and `Cesium3DTileContent#featuresLength` - 1.

##### See:

- https://github.com/CesiumGS/3d-tiles/tree/main/specification/TileFormats/BatchTable.

#### hasProperty(batchId, name) → Boolean
Scene/Cesium3DTileContent.js 256

Returns whether the feature has this property.

Name | Type | Description
--- | --- | ---
`batchId` | Number | The batchId for the feature.
`name` | String | The case-sensitive name of the property.

##### Returns:

`true` if the feature has this property; otherwise, `false`.